予約›ジョブリクエストの作成(ビジネスアクター)
ジョブリクエストの作成(ビジネスアクター)
Books a field-service job — the work order that enters the dispatch & scheduling pipeline. Send the customer's UUID plus requested `job_dates` (date + morning/afternoon/evening periods, ideally offered from GET /job-requests/booking-windows), optional `job_type_id` (service catalog), `skill_ids` (required technician qualifications) and a free-text description. Quoting, technician/crew assignment and completion then advance the work order through the business's workflow.
引数
X-Timezonestringheader任意
顧客の IANA タイムゾーン
customer_idstringbody必須
ジョブを予約する対象となる、このビジネスの既存顧客の UUID です。必須です。
descriptionstringbody任意
依頼内容の自由記述の説明です。省略可能。最大 2000 文字です。
▾job_datesarray<object>body必須
顧客がジョブを希望する日付と時間帯の組み合わせです。1 件以上、最大 12 件まで指定できます。
job_type_idstringbody任意
このジョブを分類するジョブタイプの UUID です。省略可能。null の場合、ジョブは未分類のままになります。
skill_idsarray<string>body任意
このジョブで顧客が希望するスキルの UUID です。省略可能。最大 20 件まで指定できます。
POST/v1/job-requests
curl -X POST "https://api.crisphive.com/v1/job-requests" \ -H "Authorization: Bearer chsk_test_4eC8xQ9mZ2pL7Ka0rT" \ -H "Content-Type: application/json" \ -d '{ "customer_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "description": "Please call on arrival.", "job_dates": [ { "date": "2026-07-02T09:30:00Z", "periods": [ { "business_view": [], "period": "morning" } ] } ], "job_type_id": "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01", "skill_ids": [ "9b2f6c3e-1a4d-4f0a-8f2e-7c5d1b3a9e01" ] }'
リクエストボディ
{
"customer_id": ,
"description": ,
"job_dates": [
{
"date": ,
"periods": [
{
"business_view": [
],
"period":
}
]
}
],
"job_type_id": ,
"skill_ids": [
]
}
Bearer